.auth-wrapper {
    position: relative;
    width: 100vw;
    height: 100vh;
    background: url("./a11d6-zmwud.png") no-repeat center center;
    background-size: cover;
}
.auth-wrapper::before {
    position: absolute;
    left: 0;
    top: 0;
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 1) 0%, transparent 100%);
    z-index: 1;
}

.auth-inner {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: start;
    position: relative;
    z-index: 2;
}



.auth {
    width: 98%;
    max-width: 400px;
    color: #fff;
    border-radius: .12rem;
    margin-left: 1rem;
}
.auth h2 {
    font-size: .3rem;
    line-height: .38rem;
    margin-bottom: .16rem;
    font-weight: bold;
    color: #fff;
}
.email-input,
.password-input {
    width: 100%;
    padding: 7px;
    background-color: #2d3748;
    border: 1px solid #47505e;
    border-radius: 4px;
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    transition: all .3s;
    margin-bottom: 32px;
}
.input-hover:hover {
    border-color: #4b87c4;
}
.auth .email-error {
    border-color: #c81b24;
    margin-bottom: 0;
}
.auth .email-error > i {
    color: #c81b24;
}
.auth .email-error-info {
    display: none;
    margin-bottom: .12rem;
    color: #c81b24;
    font-size: .14rem;
}
.auth .email-error:hover {
    border-color: #c81b24;
}
.email-input i,
.password-input i{
    color: #dfe0e3;
}
.email-input > i,
.password-input > i {
    margin-right: 5px;
}
.email-input input,
.password-input input {
    flex: 1;
    outline: none;
    border: none;
    background-color: transparent;
    color: #fff;
}
.switch-mode-btn {
    margin-left: 5px;
    cursor: pointer;
}
.switch-mode-btn img {
    width: 20px;
    height: 20px;
}
.remember {
    margin-bottom: 16px;
}
.remember a {
    color: #fff;
}
.remember .form-check-input {
    position: unset;
    margin-top: 0;
    margin-left: 0;
    transform-origin: left;
    transform: scale(1.5);
    margin-right: 6px;
}
.auth .login-btn,
.auto .signup-btn {
    margin-left: 0;
    margin-bottom: 16px;
    padding: 0;
}
.auth .login-btn a,
.auto .signup-btn a {
    width: 100%;
}
.auth-desc {
    color: #a9adb3;
    font-size: 14px;
    position: absolute;
    left: 50%;
    bottom: 20px;
    -webkit-transform: translate3d(-50%, 0, 0);
    -ms-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
}
.auth-desc a {
    color: #286bb8;
    text-decoration: underline;
}




@media screen and ( max-width: 990px ) {

    .auth-inner {
        justify-content: center;
    }
    .auth {
        margin: 0;
    }

}


@media screen and ( max-width: 750px ) {

    .auth {
        width: 88%;
    }

}